Bug 176010 - file owner problem when using 'ring buffer mode
file owner problem when using 'ring buffer mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcpdump (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 09:20 EST by Joachim Metz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 07:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (3.10 KB, patch)
2005-12-20 08:04 EST, Martin Stransky
no flags Details | Diff

  None (edit)
Description Joachim Metz 2005-12-17 09:20:55 EST
Description of problem, bug, incorrect information, or enhancement request:
When using tcpdump ring buffer mode e.g. running as root
tcpdump -n -i eth0 -W 10 -C 1 -w capture

Which creates a ring buffer of 10 capture files of 1 * 1.000.000 bytes.
The first file has root as owner
The second and folowing files have pcap as owners
(Issue number 1. This results in an access failure when capturing inside an root
only directory)

Issue number 2. When the 10th file is processed tcpdump tries to open the first
file (which has root as the owner) using pcap as user. This also results in an
access failure.

I have no idea what the default behavior of tcpdump on other
platforms/distribution is regarding ring buffer mode.




Version of release notes this bug refers to:

Fedora Core 4 final release
Comment 1 Joachim Metz 2005-12-17 09:23:43 EST
tcpdump version (rpm -qi tcpdump)

Name        : tcpdump                      Relocations: /usr
Version     : 3.8.2                             Vendor: Red Hat, Inc.
Release     : 13.FC4                        Build Date: Wed 08 Jun 2005 10:01:26
AM CEST
Install Date: Fri 17 Jun 2005 08:12:41 PM CEST      Build Host:
decompose.build.redhat.com
Group       : Applications/Internet         Source RPM: tcpdump-3.8.2-13.FC4.src.rpm
Size        : 783083                           License: BSD
Signature   : DSA/SHA1, Mon 13 Jun 2005 04:46:37 PM CEST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.tcpdump.org
Summary     : A network traffic monitoring tool.
Description :
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces. Tcpdump can display all of the
packet headers, or just the ones that match particular criteria.
[root@prodigy ~]# tcpdump --version
tcpdump version 3.8
libpcap version 0.8.3
Comment 2 Patrick Barnes 2005-12-17 09:31:17 EST
This is not a release notes flaw.  I am reassigning this to the owner of the
component.
Comment 3 Martin Stransky 2005-12-20 07:56:56 EST
You can use "-Z root" directive in FC3/FC4. Fix heads to FC5.
Comment 4 Martin Stransky 2005-12-20 08:04:15 EST
Created attachment 122445 [details]
proposed patch

Note You need to log in before you can comment on or make changes to this bug.